Package be.e_contract.ejsf.component.taginfo

# Class TagInfo

java.lang.Object
be.e_contract.ejsf.component.taginfo.TagInfo

All Implemented Interfaces:
  `Serializable`

public class TagInfo extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TagInfo(String tagName, String description)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClientBehaviorDefaultEventName()`
`List<String>`
`getClientBehaviorEventNames()`
`String`
`getComponentClass()`
`String`
`getComponentType()`
`String`
`getDescription()`
`List<TagAttribute>`
`getOptionalAttributes()`
`List<TagAttribute>`
`getRequiredAttributes()`
`String`
`getTagName()`
`void`
`setClientBehaviorDefaultEventName(String clientBehaviorDefaultEventName)`
`void`
`setComponentClass(String componentClass)`
`void`
`setComponentType(String componentType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TagInfo

public TagInfo(String tagName, String description)

## Method Details

### getTagName

public String getTagName()

### getDescription

public String getDescription()

### getRequiredAttributes

public List<TagAttribute> getRequiredAttributes()

### getOptionalAttributes

public List<TagAttribute> getOptionalAttributes()

### getClientBehaviorEventNames

public List<String> getClientBehaviorEventNames()

### getClientBehaviorDefaultEventName

public String getClientBehaviorDefaultEventName()

### setClientBehaviorDefaultEventName

public void setClientBehaviorDefaultEventName(String clientBehaviorDefaultEventName)

### getComponentType

public String getComponentType()

### setComponentType

public void setComponentType(String componentType)

### getComponentClass

public String getComponentClass()

### setComponentClass

public void setComponentClass(String componentClass)